-- Example of rotations generator for ROGUES.
local rogueRotationsGenerator = function ()
	local rotation = {
		["rotation/rogue/assassination"] = {
			["version"] = 4,
			["keybind"] = "<keybind>",
			["specID"] = 1,
			["bindindex"] = 0,
			["SortedActions"] = {
				"rotation/rogue/kick", -- [1]
				"rotation/rogue/agonizing_poison", -- [2]
				"rotation/rogue/deadly_poison", -- [3]
				"rotation/rogue/leeching_poison", -- [4]
				"rotation/rogue/crimson_vial", -- [5]
				"rotation/rogue/marked_for_death_anticipation", -- [6]
				"rotation/rogue/marked_for_death_deeper_stratagem", -- [7]
				"rotation/rogue/marked_for_death", -- [8]
				"rotation/rogue/garrote_stealth", -- [9]
				"rotation/rogue/rupture_deeper_stratagem", -- [10]
				"rotation/rogue/rupture", -- [11]
				"rotation/rogue/vendetta", -- [12]
				"rotation/rogue/death_from_above_deeper_stratagem", -- [13]
				"rotation/rogue/death_from_above", -- [14]
				"rotation/rogue/envenom_deeper_stratagem", -- [15]
				"rotation/rogue/envenom", -- [16]
				"rotation/rogue/hemorrhage_refresh", -- [17]
				"rotation/rogue/garrote", -- [18]
				"rotation/rogue/exsanguinate", -- [19]
				"rotation/rogue/mutilate_deeper_stratagem", -- [20]
				"rotation/rogue/mutilate", -- [21]
				"rotation/rogue/hemorrhage_deeper_stratagem", -- [22]
				"rotation/rogue/hemorrhage", -- [23]
			},
			["ActionList"] = {
				["rotation/rogue/death_from_above"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_checkothercdname"] = "152150",
				},
				["rotation/rogue/mutilate"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_gunitpower"] = "2",
					["v_gunitpowertype"] = "4",
					["b_p_knownotspell"] = true,
					["v_gspellcosttype"] = "3",
					["v_p_knownotspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "1329",
					["v_gspellcost"] = "55",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<4",
					["b_gunitpower"] = true,
				},
				["rotation/rogue/envenom_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "35",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "32645",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/leeching_poison"] = {
					["v_p_needbuff"] = "108211",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108211",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["rotation/rogue/crimson_vial"] = {
					["b_p_hp"] = true,
					["b_checkothercd"] = true,
					["v_p_hp"] = "<60%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185311",
					["v_togglename"] = "Toggle 1",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "185311",
				},
				["rotation/rogue/rupture"] = {
					["b_gspellcost"] = true,
					["b_t_needsdebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["v_t_needsdebuff"] = "_1943^7.2",
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "1943",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/hemorrhage"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_unitpower"] = "=4",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "16511",
					["v_gspellcost"] = "30",
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "1",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/garrote"] = {
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_t_needsdebuff"] = "_703^5.4",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["b_t_needsdebuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "703",
					["v_gspellcost"] = "45",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "1",
					["v_checkothercdname"] = "703",
				},
				["rotation/rogue/mutilate_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "<5",
					["v_p_knowspell"] = "193531",
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "55",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "1329",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_gunitpowertype"] = "4",
				},
				["rotation/rogue/envenom"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
					["v_gspellcost"] = "35",
					["v_p_knownotspell"] = "193531",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "32645",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/marked_for_death"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_p_knownotspell"] = "114015||193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["b_checkothercd"] = true,
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "<1",
					["v_togglename"] = "Toggle 1",
				},
				["rotation/rogue/rupture_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_p_knowspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["b_t_needsdebuff"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "1943",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_t_needsdebuff"] = "_1943^8.4",
				},
				["rotation/rogue/hemorrhage_refresh"] = {
					["v_t_needsdebuff"] = "_16511^6",
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["b_gspellcost"] = true,
					["b_t_needsdebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "16511",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_gspellcost"] = "30",
				},
				["rotation/rogue/hemorrhage_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gunitpower"] = "1",
					["v_p_knowspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "16511",
					["v_gspellcost"] = "30",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/kick"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1766",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "1766",
				},
				["rotation/rogue/marked_for_death_anticipation"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["v_p_knowspell"] = "114015",
					["b_checkothercd"] = true,
					["b_gunitpower"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<4",
					["b_p_knowspell"] = true,
				},
				["rotation/rogue/garrote_stealth"] = {
					["b_gspellcost"] = true,
					["b_p_isstealthed"] = true,
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "45",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "703",
					["v_gspellcosttype"] = "3",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "1",
					["v_checkothercdname"] = "703",
				},
				["rotation/rogue/marked_for_death_deeper_stratagem"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["v_p_knowspell"] = "193531",
					["b_checkothercd"] = true,
					["b_gunitpower"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<2",
					["b_p_knowspell"] = true,
				},
				["rotation/rogue/exsanguinate"] = {
					["b_t_hasdebuff"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "200806",
					["v_checkothercdname"] = "200806",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_t_hasdebuff"] = "1943^20",
				},
				["rotation/rogue/deadly_poison"] = {
					["v_p_needbuff"] = "2823",
					["v_p_knownotspell"] = "200802",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "2823",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
				},
				["rotation/rogue/death_from_above_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "193531",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "25",
					["b_p_unitpower"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["v_gspellcosttype"] = "3",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_unitpower"] = "=6",
					["v_checkothercdname"] = "152150",
				},
				["rotation/rogue/vendetta"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "79140",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "79140",
				},
				["rotation/rogue/agonizing_poison"] = {
					["v_p_needbuff"] = "200802",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "200802",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
			},
		},
		["rotation/rogue/outlaw"] = {
			["version"] = 4,
			["keybind"] = "<keybind>",
			["specID"] = 2,
			["bindindex"] = 0,
			["SortedActions"] = {
				"rotation/rogue/kick", -- [1]
				"rotation/rogue/crimson_vial_iron_stomach", -- [2]
				"rotation/rogue/crimson_vial", -- [3]
				"rotation/rogue/adrenaline_rush", -- [4]
				"rotation/rogue/killing_spree", -- [5]
				"rotation/rogue/marked_for_death_anticipation", -- [6]
				"rotation/rogue/marked_for_death", -- [7]
				"rotation/rogue/ambush", -- [8]
				"rotation/rogue/roll_the_bones_deeper_stratagem", -- [9]
				"rotation/rogue/roll_the_bones", -- [10]
				"rotation/rogue/cannonball_barrage", -- [11]
				"rotation/rogue/between_the_eyes_deeper_stratagem", -- [12]
				"rotation/rogue/between_the_eyes", -- [13]
				"rotation/rogue/death_from_above_deeper_stratagem", -- [14]
				"rotation/rogue/death_from_above", -- [15]
				"rotation/rogue/run_through_deeper_stratagem", -- [16]
				"rotation/rogue/run_through", -- [17]
				"rotation/rogue/ghostly_strike", -- [18]
				"rotation/rogue/pistol_shot_quick_draw_anticipation", -- [19]
				"rotation/rogue/pistol_shot_quick_draw_deeper_stratagem", -- [20]
				"rotation/rogue/pistol_shot_quick_draw", -- [21]
				"rotation/rogue/pistol_shot_anticipation", -- [22]
				"rotation/rogue/pistol_shot_deeper_stratagem", -- [23]
				"rotation/rogue/pistol_shot", -- [24]
				"rotation/rogue/saber_slash", -- [25]
			},
			["ActionList"] = {
				["rotation/rogue/pistol_shot_deeper_stratagem"] = {
					["b_gunitpower"] = true,
					["v_gunitpower"] = "1",
					["b_p_knownotspell"] = true,
					["v_p_knowspell"] = "193531",
					["v_p_knownotspell"] = "196938",
					["v_p_unitpowertype"] = "4",
					["b_hasproc"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "185763",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<6",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/pistol_shot_quick_draw_deeper_stratagem"] = {
					["v_durationstartedtime"] = 0,
					["v_gunitpowertype"] = "4",
					["v_p_unitpower"] = "<5",
					["v_p_unitpowertype"] = "4",
					["b_hasproc"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "185763",
					["v_p_knowspell"] = "196938||193531",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/between_the_eyes_deeper_stratagem"] = {
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "199804",
					["v_gspellcost"] = "35",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_havebuff"] = "193357",
					["v_checkothercdname"] = "199804",
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["b_p_knowspell"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_checkothercd"] = true,
				},
				["rotation/rogue/pistol_shot"] = {
					["v_durationstartedtime"] = 0,
					["v_gunitpowertype"] = "4",
					["v_p_unitpower"] = "<5",
					["b_p_knownotspell"] = true,
					["b_hasproc"] = true,
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "185763",
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_p_knownotspell"] = "196938||193531||114015",
				},
				["rotation/rogue/pistol_shot_anticipation"] = {
					["b_gunitpower"] = true,
					["v_gunitpower"] = "2",
					["b_p_knownotspell"] = true,
					["v_p_knowspell"] = "114015",
					["v_p_knownotspell"] = "196938",
					["v_p_unitpowertype"] = "4",
					["b_hasproc"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "185763",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<8",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/ambush"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "60",
					["b_p_isstealthed"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "8676",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/saber_slash"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "193315",
					["v_gspellcost"] = "50",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/ghostly_strike"] = {
					["v_t_needsdebuff"] = "_196937^4.5",
					["v_gspellcosttype"] = "3",
					["v_t_needsbuff"] = " ",
					["v_p_unitpower"] = "<5",
					["v_gunitpowertype"] = "4",
					["b_gspellcost"] = true,
					["b_t_needsdebuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "196937",
					["v_gspellcost"] = "30",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/crimson_vial"] = {
					["b_p_knownotspell"] = true,
					["v_keybind"] = "<keybind>",
					["b_p_hp"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185311",
					["v_p_knownotspell"] = "193546",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_hp"] = "<60%",
					["v_checkothercdname"] = "185311",
				},
				["rotation/rogue/roll_the_bones_deeper_stratagem"] = {
					["v_p_needbuff"] = "193356^12.6||193357^12.6||193358^12.6||193359^12.6||199600^12.6||199603^12.6||_5171^12.6",
					["v_p_unitpowertype"] = "4",
					["v_p_knowspell"] = "193531",
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "193316",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_p_needbuff"] = true,
				},
				["rotation/rogue/cannonball_barrage"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185767",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "185767",
				},
				["rotation/rogue/adrenaline_rush"] = {
					["v_p_unitpowertype"] = "3",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "13750",
					["b_disabled"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_p_unitpower"] = "<=66%",
					["v_checkothercdname"] = "13750",
				},
				["rotation/rogue/death_from_above"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_durationstartedtime"] = 0,
					["b_p_knownotspell"] = true,
					["v_gspellcost"] = "25",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["b_checkothercd"] = true,
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "152150",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_checkothercdname"] = "152150",
				},
				["rotation/rogue/death_from_above_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "193531",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_unitpower"] = "=6",
					["v_checkothercdname"] = "152150",
				},
				["rotation/rogue/roll_the_bones"] = {
					["v_p_needbuff"] = "193356^10.8||193357^10.8||193358^10.8||193359^10.8||199600^10.8||199603^10.8||_5171^10.8",
					["v_p_unitpowertype"] = "4",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "193316",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_togglename"] = "Toggle 1",
				},
				["rotation/rogue/pistol_shot_quick_draw"] = {
					["b_gunitpower"] = true,
					["v_p_unitpower"] = "<4",
					["b_p_knownotspell"] = true,
					["v_p_knowspell"] = "196938",
					["v_p_knownotspell"] = "193531||114015",
					["v_durationstartedtime"] = 0,
					["b_hasproc"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "185763",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/run_through"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "35",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "2098",
					["v_gspellcosttype"] = "3",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/marked_for_death_anticipation"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["v_p_knowspell"] = "114015",
					["b_p_knowspell"] = true,
					["b_gunitpower"] = true,
					["b_checkothercd"] = true,
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<4",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/pistol_shot_quick_draw_anticipation"] = {
					["v_durationstartedtime"] = 0,
					["v_gunitpowertype"] = "4",
					["v_gunitpower"] = "2",
					["v_p_unitpowertype"] = "4",
					["b_hasproc"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "185763",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<7",
					["v_p_knowspell"] = "196938||114015",
				},
				["rotation/rogue/marked_for_death"] = {
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=1",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["b_checkothercd"] = true,
					["v_p_knownotspell"] = "114015",
					["b_p_unitpower"] = true,
					["v_spellname"] = "137619",
					["b_gunitpower"] = true,
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
				},
				["rotation/rogue/crimson_vial_iron_stomach"] = {
					["v_p_knowspell"] = "193546",
					["b_p_hp"] = true,
					["b_p_knowspell"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185311",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_hp"] = "<50%",
					["v_checkothercdname"] = "185311",
				},
				["rotation/rogue/killing_spree"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "51690",
					["b_disabled"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "51690",
				},
				["rotation/rogue/between_the_eyes"] = {
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "199804",
					["v_gspellcost"] = "35",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_havebuff"] = "193357",
					["v_checkothercdname"] = "199804",
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["b_checkothercd"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["b_p_knownotspell"] = true,
					["v_p_knownotspell"] = "193531",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/kick"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1766",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "1766",
				},
				["rotation/rogue/run_through_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_gspellcost"] = "35",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "2098",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_durationstartedtime"] = 0,
				},
			},
		},
		["rotation/rogue/subtlety"] = {
			["version"] = 4,
			["keybind"] = "<keybind>",
			["specID"] = 3,
			["bindindex"] = 0,
			["SortedActions"] = {
				"rotation/rogue/kick", -- [1]
				"rotation/rogue/crimson_vial", -- [2]
				"rotation/rogue/marked_for_death_anticipation", -- [3]
				"rotation/rogue/marked_for_death_deeper_stratagem", -- [4]
				"rotation/rogue/marked_for_death", -- [5]
				"rotation/rogue/symbols_of_death", -- [6]
				"rotation/rogue/shadow_blades", -- [7]
				"rotation/rogue/nightblade_deeper_stratagem", -- [8]
				"rotation/rogue/nightblade", -- [9]
				"rotation/rogue/enveloping_shadows_deeper_stratagem", -- [10]
				"rotation/rogue/enveloping_shadows", -- [11]
				"rotation/rogue/shadow_dance", -- [12]
				"rotation/rogue/death_from_above_deeper_stratagem", -- [13]
				"rotation/rogue/death_from_above", -- [14]
				"rotation/rogue/eviscerate_deeper_stratagem", -- [15]
				"rotation/rogue/eviscerate", -- [16]
				"rotation/rogue/shadowstrikes", -- [17]
				"rotation/rogue/backstab_anticipation", -- [18]
				"rotation/rogue/backstab_deeper_stratagem", -- [19]
				"rotation/rogue/backstab", -- [20]
			},
			["ActionList"] = {
				["rotation/rogue/death_from_above"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["b_p_unitpower"] = true,
					["b_p_knownotspell"] = true,
					["v_gspellcost"] = "25",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["b_checkothercd"] = true,
					["v_p_knownotspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "152150",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_checkothercdname"] = "152150",
				},
				["rotation/rogue/nightblade_deeper_stratagem"] = {
					["v_t_needsdebuff"] = "_195452^5.4",
					["b_p_unitpower"] = true,
					["v_p_knowspell"] = "193531",
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "195452",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_t_needsdebuff"] = true,
				},
				["rotation/rogue/enveloping_shadows_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "206237^10.8",
					["v_durationstartedtime"] = 0,
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "206237",
					["v_gspellcost"] = "30",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/crimson_vial"] = {
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185311",
					["v_p_hp"] = "<60%",
					["v_keybind"] = "<keybind>",
					["b_p_hp"] = true,
					["v_checkothercdname"] = "185311",
				},
				["rotation/rogue/nightblade"] = {
					["v_t_needsdebuff"] = "_195452^4.8",
					["v_gspellcost"] = "25",
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "195452",
					["b_t_needsdebuff"] = true,
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/shadow_dance"] = {
					["v_p_needbuff"] = "185422||115191 ",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_charges"] = ">=2",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_spellname"] = "185313",
					["b_charges"] = true,
				},
				["rotation/rogue/enveloping_shadows"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "206237^9",
					["b_p_knownotspell"] = true,
					["v_gspellcost"] = "30",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "206237",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_p_knownotspell"] = "193531",
				},
				["rotation/rogue/eviscerate"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "35",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "196819",
					["v_gspellcosttype"] = "3",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/backstab_anticipation"] = {
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53",
					["v_gspellcosttype"] = "3",
					["v_gunitpower"] = "1",
					["v_p_needbuff"] = "1784||185422",
					["v_p_knowspell"] = "114015",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["b_gspellcost"] = true,
					["b_gunitpower"] = true,
					["v_gspellcost"] = "35",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<8",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/eviscerate_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["v_p_unitpowertype"] = "4",
					["v_gspellcost"] = "35",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "196819",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/kick"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1766",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "1766",
				},
				["rotation/rogue/shadowstrikes"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gunitpower"] = "1",
					["b_p_havebuff"] = true,
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185438",
					["v_gspellcost"] = "40",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "1784||185422||115191",
					["b_gunitpower"] = true,
				},
				["rotation/rogue/marked_for_death_anticipation"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["v_p_knowspell"] = "114015",
					["b_checkothercd"] = true,
					["b_gunitpower"] = true,
					["b_p_knowspell"] = true,
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<4",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/backstab"] = {
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53",
					["v_gspellcosttype"] = "3",
					["v_gunitpower"] = "1",
					["b_gspellcost"] = true,
					["v_p_knownotspell"] = "193531||114015",
					["v_p_needbuff"] = "1784||185422",
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "35",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "<5",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/symbols_of_death"] = {
					["b_gspellcost"] = true,
					["v_p_needbuff"] = "212283^10.5",
					["b_p_needbuff"] = true,
					["b_p_havebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "35",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "212283",
					["v_gspellcosttype"] = "3",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_havebuff"] = "1784||185422||115192",
					["v_checkothercdname"] = "212283",
				},
				["rotation/rogue/marked_for_death_deeper_stratagem"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["v_p_knowspell"] = "193531",
					["b_checkothercd"] = true,
					["b_gunitpower"] = true,
					["b_p_knowspell"] = true,
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<2",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/death_from_above_deeper_stratagem"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "193531",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["v_p_unitpowertype"] = "4",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_unitpower"] = "=6",
					["v_checkothercdname"] = "152150",
				},
				["rotation/rogue/shadow_blades"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "121471",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "121471",
				},
				["rotation/rogue/marked_for_death"] = {
					["v_gunitpowertype"] = "4",
					["b_t_needsbuff"] = true,
					["v_p_knownotspell"] = "193531||114015",
					["b_p_unitpower"] = true,
					["v_spellname"] = "137619",
					["v_checkothercdvalue"] = "<1.5",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "137619",
					["v_t_needsbuff"] = "_137619",
					["b_checkothercd"] = true,
					["v_p_unitpowertype"] = "4",
					["b_gunitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "<1",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/backstab_deeper_stratagem"] = {
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53",
					["v_gspellcosttype"] = "3",
					["v_gunitpower"] = "1",
					["v_p_needbuff"] = "1784||185422",
					["v_p_knowspell"] = "193531",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["b_gspellcost"] = true,
					["b_gunitpower"] = true,
					["v_gspellcost"] = "35",
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<6",
					["v_p_unitpowertype"] = "4",
				},
			},
		},
	};

	return rotation;
end

local rogueRotationsGeneratorData = {
	["generator"] = rogueRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("ROGUE", rogueRotationsGeneratorData);
